Delete a task

/tasks/{task_id}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This call deletes the specified task. The task is referred to by its ID, which you can obtain by making the call to list all tasks you can access.

https://cgc-api.sbgenomics.com/v2/tasks/{task_id}

👍

Deleting tasks

Note that you can only delete draft tasks, not running tasks.

Request

Example request

DELETE /v2/tasks/e3d4bab1-b149-4e73-b75b-2ce2ada721ca HTTP/1.1
Host: cgc-api.sbgenomics.com
X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74
curl  -s -H "X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74" -H "content-type: application/json" -X DELETE "https://cgc-api.sbgenomics.com/v2/tasks/e3d4bab1-b149-4e73-b75b-2ce2ada721ca"

Header Fields

NameDescription
X-SBG-Auth-Token
required
Your CGC authentication token.

Path parameters

NameDescription
task_id
required
The ID of the task you are deleting. See the API Overview section on specifying tasks for details.

Response

See a list of CGC-specific response codes that may be contained in the body of the response.

HTTP/1.1 204 No Content
Date: Tue, 29 Mar 2016 15:47:44 GMT
Connection: close
Language
LoadingLoading…